//main.cpp  -- the program gets number count, numbers and bin size, then builds a histogram.
//Task 15   -- make a scale under the histogram.

#include <iostream>
#include <vector>
#include "histogram.h"
#include "text.h"
#include "svg.h"

using namespace std;

struct Input {
    vector<double> numbers;
    size_t bin_count{};
    size_t interval_task{};
};


Input
input_data() {
    size_t number_count;
    cin >> number_count;

    Input in;

    in.numbers.resize(number_count);
    for (size_t i = 0; i < number_count; i++) {
        cin >> in.numbers[i];
    }

    cin >> in.bin_count;

    cin >> in.interval_task;

    if ((in.interval_task >= 2.0) && (in.interval_task <= 9.0)) {
        return in;
    } else {
        std::cout << "ERROR";
        exit(1);
    }

}


int main() {
    auto in = input_data();
    auto bins = make_histogram(in.numbers, in.bin_count);
    show_histogram_svg(bins, in.interval_task);

    return 0;
}
